2008-05-22  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: 0.8.0beta19
	* configure.in: Warn about broken API version.
	* src/xs_sidplay2.cc: COM API support works now.
	* src/xs_sidplay2.cc: Move builder header inclusions.
	* src/xs_sidplay2.cc: Correct builder.
	* src/xs_sidplay2.cc: Actually compiles now with libsidplay2 COM
	  API, but does not work yet.
	* src/xs_sidplay1.cc: Indentation.
	* configure.in: Fixes in distortion patch and libsidplay2 COM API
	  detection.
	* configure.in: Okay, back to beta ;)
	* bootstrap.sh src/config.h.in src/xmms-sid.c: Etc.

2008-05-21  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po: Ran make update-po.
	* po/fi.po: Updated finnish translation.
	* src/xs_config.h: More indentation cleanups.
	* THANKS src/xs_config.c src/xs_length.h src/xs_md5.h
	  src/xs_player.h src/xs_slsup.h src/xs_stil.h: Indentation
	  cleanups.

2008-05-19  Matti Hamalainen <ccr@tnsp.org>

	* README: SLDB is now distributed with HVSC.
	* src/xs_stil.c: Fixed a rare null-pointer dereference, discovered
	  via zzuf.

2008-05-10  Matti Hamalainen <ccr@tnsp.org>

	* acinclude.m4: Changed copyright notice.
	* INSTALL: Few cosmetic fixes and clarifications.
	* INSTALL: Updated documentation, added Mercurial instructions.
	* src/config.h.in: Updated config.h.in.
	* Makefile.am configure.in: Use the improved m4 macros; Some
	  additional configure cleanups done; Added preliminary detection
	  for the new COMI interface used in libSIDPlay2 CVS; Added VERY
	  preliminary detection for Antti Lankila's libSIDPlay2+reSID
	  patches. NOTICE! Neither of these are actually yet supported.
	* acinclude.m4: Cleaned up the libSIDPlay-related Autoconf test m4
	  macros.

2008-05-09  Matti Hamalainen <ccr@tnsp.org>

	* Makefile.am: Generate a ChangeLog.

2008-04-27  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Use ASCII translitteration instead of ISO-8859-1
	  scands.

2008-04-21  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: It was the dawn of the third age of SID-kind,
	  several years after the XMMS-BMP War. The Unified
	  Audacious+XMMS-SID Project was a dream given form. Its goal: to
	  prevent another war by creating a SID-plugin which would be
	  functional for both worlds, where Audacious and XMMS -related
	  code could work out their differences peacefully. It's a port of
	  call, home away from home for coders, users, entrepreneurs, and
	  wanderers. Humans and aliens wrapped in two million, five
	  hundred thousand tons of spinning code, all alone in the night.
	  It can be a dangerous place, but it's our last, best hope for
	  peace. This is the story of the last of the XMMS-SID releases.
	  The year is 2008. The name of the place is XMMS-SID 0.8.0rc2.
	* src/xmms-sid.c: Remove some camelcasing / hungarian notation.

2008-04-09  Matti Hamalainen <ccr@tnsp.org>

	* config.rpath po/fi.po: Tiny improvements in Finnish translation.

2008-04-03  Matti Hamalainen <ccr@tnsp.org>

	* README: Updated IRC contact information.
	* INDENT: Removed file, the code is not indented like this anymore.
	* po/de.po po/fi.po po/xmms-sid.pot: Updated translations.
	* src/xs_fileinfo.h: Remove unused function prototypes.
	* src/xs_config.c: De-gettextize.
	* src/xmms-sid.h src/xs_about.c src/xs_config.c src/xs_fileinfo.c:
	  Use macro wrapping for Gtk+ v1 vs v2 differences, yet again.
	* src/xs_fileinfo.c: Rename pcFilename -> filename.
	* src/xs_support.c: More cosmetic variable name changes.
	* src/config.h.in: Updated config.h.in due to changes in configure
	  checks.
	* configure.in: Sanitize configure in by removing unneeded checks.

2008-04-02  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xmms-sid.h src/xs_about.c src/xs_config.c
	  src/xs_config.h src/xs_curve.c src/xs_curve.h src/xs_fileinfo.c
	  src/xs_fileinfo.h src/xs_filter.c src/xs_filter.h src/xs_init.c
	  src/xs_length.c src/xs_length.h src/xs_md5.c src/xs_md5.h
	  src/xs_player.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc src/xs_sidplay2.h
	  src/xs_slsup.c src/xs_slsup.h src/xs_stil.c src/xs_stil.h
	  src/xs_support.c src/xs_support.h src/xs_title.c: Change tabs to
	  4 spaces, everywhere.
	* src/xmms-sid.c: Constify a table.
	* po/de.po po/fi.po po/xmms-sid.pot: Updated i18n.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_fileinfo.c
	  src/xs_length.c src/xs_length.h src/xs_md5.c src/xs_md5.h
	  src/xs_player.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc src/xs_sidplay2.h
	  src/xs_slsup.c src/xs_slsup.h src/xs_stil.c src/xs_stil.h
	  src/xs_support.c src/xs_support.h src/xs_title.c src/xs_title.h:
	  Lots of cosmetic code cleanups; synced the de-gettextification
	  from Audacious-SID, I suppose it makes some sense ...

2008-03-26  Matti Hamalainen <ccr@tnsp.org>

	* README src/xs_about.c: Updated copyrights.
	* FAQ: Minor tweaks in the explanation of "What is 'SID'?"

2008-03-25  convert-repo

	* .hgtags: update tags

2007-10-22  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_genui.c: Function already defined in xs_config.c

2007-10-18  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c src/xs_config.c src/xs_support.h: Synchronize
	  with Aud-SID.

2007-09-25  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po po/xmms-sid.pot: Updated po and pot-files.

2007-09-20  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: "test -e" does not exist in /bin/sh of some
	  systems, use "test -f" instead.
	* src/xs_fileinfo.c: Don't use pTitle instead of pName if pName ==
	  NULL.
	* src/xs_stil.c: Parse certain STIL fields bit differently.

2007-09-05  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: Fixed configuration dialog, thanks to Joker for
	  pointing out the flaws.

2007-09-04  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_fileinfo.c: Oops.
	* src/xs_fileinfo.c: Actually only use [!] marker in the subtune
	  menu, not the whole info field.
	* src/xmms-sid.c: Remove useless xs_memset()
	* src/xs_config.c: Constify.
	* src/xs_about.c: Changed aboutbox too.
	* README: Dedicated also to memory of Xoxxo :/
	* src/xmms-sid.h: Fix XS_MUTEX_DEBUG to work again.

2007-09-04  root

	* po/fi.po: Remove fuzzy whitespace!

2007-09-04  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po po/xmms-sid.pot: Updated.
	* po/xmms-sid.pot: Added.
	* src/xs_fileinfo.c: Show tags ("[!]" and "[*]") in fileinfo
	  selector, if there is additional information for the subtune;
	  Only list subtunes that have _some_ STIL information.

2007-09-03  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_stil.c: The reallocation function was buggy and subtune
	  entries were not being stored at all, fixed.
	* src/xs_support.c src/xs_support.h: Constify.
	* src/xs_sidplay1.h src/xs_sidplay2.h: Ooops, forgot to const here.
	* src/xmms-sid.h src/xs_sidplay1.h src/xs_sidplay2.h
	  src/xs_slsup.h: Move prototypes of xs_tuneinfo_*() to xs_slsup.h
	* src/xs_player.h src/xs_sidplay.h: Constify more.
	* src/xmms-sid.h src/xs_about.c: Cleanify.
	* src/xs_curve.c src/xs_curve.h: Unify.
	* src/xs_support.c src/xs_support.h: Constify.
	* src/xmms-sid.c: More gtk_signal_connect() -> XS_SIGNAL_CONNECT()
	  changes.
	* src/xmms-sid.h src/xs_about.c src/xs_fileinfo.c:
	  XS_SIGNAL_CONNECT() macro added and used.
	* src/xs_fileinfo.c src/xs_fileinfo.h: Unify xs_fileinfo with
	  Aud-SID.
	* src/xs_config.c: Merge in some Aud-SID #ifs etc.
	* Makefile.am: Add xs_slsup.[ch]
	* src/xmms-sid.c src/xmms-sid.h src/xs_fileinfo.c src/xs_slsup.c
	  src/xs_slsup.h src/xs_stil.c: Move SLDB and STIL utility
	  functions to xs_slsup.[ch] and amend some changes between
	  XMMS-SID and Aud-SID via a macro mess.
	* src/xs_config.c: Properly initialize xs_cfg struct; Check for 0
	  in sid2NFilterPresets.

2007-09-02  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: Constify some variables.
	* src/xmms-sid.h src/xs_support.h: Moved NLS macros to xs_support.h
	* src/xs_title.c src/xs_title.h: Remove Audacious related stuff.
	* Makefile.am: Do not generate revision numbers in ChangeLog.
	* src/xs_config.c: Fix a warning about discarding const qualifier.
	* src/xs_fileinfo.c: Fixed sub-tune info selection box in fileinfo
	  window.
	* TODO configure.in src/xs_fileinfo.c: Sub-tune info selector
	  fixed in file information dialog.
	* .glade: Added delete_event to confirmwin.
	* src/xmms-sid.h src/xs_about.c src/xs_config.c src/xs_fileinfo.c
	  src/xs_genui.c src/xs_genui.h: About window wasn't handling
	  delete_event properly, fixed; Cleaned up event handling a bit.

2007-09-01  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_support.h src/xs_title.c src/xs_title.h: Merge in Tuple
	  changes from Audacious-SID.
	* src/xmms-sid.h: Oops, fixed. :P
	* src/xmms-sid.h: An ugly hack to fix building with --disable-nls.
	* src/xs_config.c: Make tables static.

2007-08-31  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: Temporarily fix compilation.
	* src/xmms-sid.c: Fixed a thread race conds in xs_reinit() and
	  xs_get_song_info()
	* src/xs_config.c: Use g_strdup()

2007-08-30  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: Few lines.
	* .glade: Added confirmation dialog.
	* src/xs_curve.c src/xs_curve.h: Updates from curve branch.

2007-03-31  Matti Hamalainen <ccr@tnsp.org>

	* README: Grammar.

2007-03-24  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: Cleanups.
	* Makefile.am: Improved ChangeLog.
	* po/de.po po/fi.po: ...

2007-03-22  Matti Hamalainen <ccr@tnsp.org>

	* Makefile.am: Make ChangeLog re-generation conditional.
	* NEWS: Updated.
	* .glade: Removed useless embedded data.
	* po/de.po po/fi.po: Updates.
	* src/xs_config.c: More work towards filter configuration.
	* src/xs_config.c: Some macro magic for simplifying the repetitive
	  code.
	* src/xs_stil.c: Revert.
	* src/xs_config.c: Cleanups.
	* src/xs_config.c src/xs_genui.h xmms-sid.glade: Work on GUI and
	  filter config code.
	* .glade: Changed some names.
	* .glade: Added 'delete' event to all Gtk dialog windows.

2007-03-21  Matti Hamalainen <ccr@tnsp.org>

	* .glade: Load -> Use
	* po/de.po po/fi.po: Updates.
	* src/xs_length.c src/xs_stil.c: Optimizations.

2007-03-20  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: SP1 filter widget names were incorrect, fixed.
	* src/xs_config.c: Outline plans for rest of the filter config
	  functionality in comments; Suppress unused argument warnings.
	* Makefile.am: ChangeLog generation.
	* po/de.po po/fi.po: Updated.
	* src/xs_config.c: Cleanups.
	* src/xs_config.c src/xs_genui.c: Moved functions.
	* src/xs_config.c src/xs_genui.c src/xs_genui.h src/xs_sidplay2.cc
	  xmms-sid.glade: Scrubbing through the filter configuration code;
	  Configuration dialog window delete event was not handled and
	  caused problems if WM's "close window" was used, fixed.
	* po/POTFILES.in po/de.po po/fi.po: "About" added

2007-03-19  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: i18n stuff
	* po/de.po po/fi.po: etc.
	* .glade: Fixes.
	* po/de.po po/fi.po: Updated translations, pulled latest German
	  translation in.

2007-03-18  Matti Hamalainen <ccr@tnsp.org>

	* README: Adjustments

2007-03-15  Matti Hamalainen <ccr@tnsp.org>

	* TODO: i18n
	* .glade: Added 'delete' button to the filter editor.
	* .glade: Minor tweak in the layout.
	* po/fi.po: 'Kappaletiedot'
	* po/de.po: Updated.
	* po/fi.po: Updated, added new translations.

2007-03-14  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Fix about.
	* .glade: Added file dialogs for importing and exporting of
	  filters.
	* AUTHORS: The MD5 implementation was changed, change the notice
	  too.

2007-03-13  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Increase about-box size, dedicate release to
	  memory of Richard Joseph :(
	* README: Remove the MD5 code (C) notice, because it was replaced.

2007-03-08  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL: Updated installation instructions, also moved
	  libSIDPlay2 installation tips to www-pages
	  (http://www.tnsp.org/?p=libsidplay2)
	* TODO: Updated TODO items.

2007-03-01  Matti Hamalainen <ccr@tnsp.org>

	* TODO: Updated TODO

2007-02-26  Matti Hamalainen <ccr@tnsp.org>

	* TODO: Removed already done items.
	* src/xmms-sid.h: Cosmetics.
	* src/xs_curve.c: Copyright header.
	* src/xs_config.c src/xs_genui.c src/xs_genui.h xmms-sid.glade:
	  GUI updates.
	* src/xmms-sid.h src/xs_config.c: Config item changes; Unfinished
	  filter preset handling functions.
	* src/xs_sidplay1.cc src/xs_sidplay2.cc: Configuration item
	  changes.
	* src/xs_stil.c: Some changes to accomodate for Audacious
	  differences.

2007-02-23  Matti Hamalainen <ccr@tnsp.org>

	* .glade: Accidentally left a unused window widget in.
	* src/xs_config.c src/xs_config.h xmms-sid.glade: Configuration
	  widget naming cleanups and GUI-related improvements; Started
	  planning and implementation of SIDPlay2 filter settings
	  loading/saving and import/export functionality.
	* po/de.po po/fi.po: Updated.
	* src/xmms-sid.h: Reordering cleanup and added constant for
	  SIDPlay2 max # of filter coeffs.
	* src/xs_curve.c src/xs_curve.h: Working on XSCurve widget
	  implementation.

2007-02-21  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po: Again updated the po-files
	* src/xmms-sid.c: Unnecessary #include
	* src/xs_config.c: Fixes.
	* src/xs_title.c: More Audacious compatibility glue.
	* src/xs_support.c src/xs_title.c src/xs_title.h: Audacious
	  kludging.
	* src/xs_sidplay1.cc src/xs_sidplay2.cc: Update copyright years.
	* src/xs_config.c: Audacious kludges
	* src/xs_support.h: Forgot to define xs_fseek()
	* src/xmms-sid.c: Removed cruft.
	* src/xmms-sid.c src/xs_support.h: Cleanups.
	* src/xmms-sid.h: Removed some crud.

2007-02-20  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.h src/xs_config.c: Audacious-related cleanups.
	* src/xmms-sid.c src/xmms-sid.h src/xs_support.h: Audacious glue.
	* .glade: Changed labels in the Glade file.
	* po/de.po po/fi.po: Updated po-files.
	* Makefile.am: Added xs_player.h
	* src/xs_sidplay2.cc: Changed some error messages.
	* src/xs_sidplay.h src/xs_sidplay1.cc src/xs_sidplay2.cc
	  src/xs_support.c src/xs_support.h: Now everything necessary
	  should be using the VFS functions.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.h src/xs_curve.h
	  src/xs_fileinfo.c src/xs_filter.h src/xs_length.h
	  src/xs_player.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc src/xs_sidplay2.h
	  src/xs_stil.h src/xs_support.h src/xs_title.h: Header cleanup;
	  Moved some types from xmms-sid.h to xs_player.h; Renamed few
	  functions.

2007-02-17  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po: Updated po-files.
	* src/xmms-sid.h src/xs_config.c src/xs_genui.h xmms-sid.glade:
	  Cleanups.

2007-02-12  Matti Hamalainen <ccr@tnsp.org>

	* .glade: Improvements in the UI. The code has not yet been
	  amended to handle these changes, though, so builds/running will
	  fail.

2007-02-09  Matti Hamalainen <ccr@tnsp.org>

	* po/de.po po/fi.po: Updated po-files
	* po/LINGUAS po/de.po: Added preliminal German translation by
	  Gerfried Fuchs

2007-02-06  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_curve.c: Almost working.
	* .cvsignore: Removed.
	* po/fi.po: Updated.
	* src/.cvsignore: Removed
	* src/xs_support.c src/xs_support.h: Audacious VFS support
	  functions finished.

2007-01-30  Matti Hamalainen <ccr@tnsp.org>

	* TODO: Updated

2007-01-29  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_curve.c: Cleaned up the drawing function a bit.
	* src/xs_about.c src/xs_filter.c: Cosmetics
	* src/xmms-sid.h: Remove deprecated #define
	* src/xs_config.c xmms-sid.glade: reSID sampling options in GUI.
	  Not yet used, because libSIDPlay2 API does not have abstraction
	  layer for handling those.

2007-01-28  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: 0.8.0beta18 upcoming ...
	* src/xs_length.c src/xs_length.h src/xs_stil.c src/xs_stil.h:
	  Changes based on patch from Heikki 'shd' Orsila: Fix a crash on
	  64-bit big-endian platforms due to inproper mixing of guint and
	  size_t types; Use bsearch() instead of my own implementation of
	  binary search in xs_length.c and xs_stil.c; Remove useless(?)
	  use of feof().
	* pixmaps/xmms-sid-logo.xcf.bz2: Updated logo slightly.
	* Makefile.am: update-glade target for updating Glade generated
	  files.
	* src/xs_support.c src/xs_support.h: guint -> size_t

2007-01-27  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Forgot to remove m4/Makefile.am from here.
	* Makefile.am m4/Makefile.am: Removed m4 dir
	* src/xs_config.c: Do not include curve widget
	* src/xs_curve.c src/xs_curve.h: Alpha/preliminary curve widget
	  code merged.
	* m4/Makefile.am: Remove

2007-01-26  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c src/xs_genui.c: Moved functions.
	* src/xmms-sid.h: Use proper C comments
	* src/xs_title.c: Remove useless block.
	* pixmaps/xmms-sid-logo-f.xcf.bz2 pixmaps/xmms-sid-logo.png
	  pixmaps/xmms-sid-logo2.png: Added files.
	* po/fi.po: Updated fi.po
	* Makefile.am: Provide -DLOCALEDIR
	* .glade: Cosmetics in configuration dialog.
	* src/xs_init.c: Initialize gettext correctly(?). I am not
	  entirely sure whether it is correct to call bindtextdomain()
	  here, but it seems to work.
	* src/xs_fileinfo.c: Move variables to better block.
	* src/xs_md5.c src/xs_md5.h: Changed the MD5 implementation, the
	  previous had a license that was somewhat ambiguous about GPL
	  compatibility.
	* BUGS: Pause might be fixed now.
	* .glade: Use combobox for audio frequency selection.
	* configure.in: Use gettext v0.16.1, fixes some compat problems
	  with automake 1.10
	* src/xs_config.c src/xs_config.h: Added new WTYPE_COMBO, the
	  audio frequency selection now uses a combobox.
	* src/xmms-sid.h: Default audio rendering frequency #define.
	* config.rpath: Updated config.rpath
	* po/fi.po: Minor improvements in finnish translation.
	* INSTALL: Typofixes in instructions.
	* src/xs_title.c: Removed %S
	* .glade: Updated documentation of titlestring mnemonics.
	* Makefile.am: Update Glade-generated files when xmms-sid.glade
	  changes.
	* src/xs_config.h src/xs_sidplay.h src/xs_title.c: Improvements in
	  titlestring handling and information passing in xs_tuneinfo_t
	* src/xmms-sid.h: Cosmetics
	* src/xmms-sid.c: Moved sldb glue functions here; Cosmetic
	  cleanups.
	* src/xs_length.c src/xs_length.h: Moved the glue functions to
	  xmms-sid.c

2007-01-25  Matti Hamalainen <ccr@tnsp.org>

	* BUGS Makefile.am TODO configure.in po/fi.po: Updates.
	* src/xs_sidplay2.cc: Cosmetics
	* src/xs_fileinfo.c src/xs_stil.c src/xs_stil.h: Cleanups.
	* Makefile.am TODO config.rpath configure.in src/xmms-sid.c
	  src/xs_length.c src/xs_sidplay.h src/xs_title.c: Cleanups.
	* src/xs_fileinfo.h: A ';' was missing, fixed.
	* src/xs_init.c: Okay, the staticizin wasn't corrent. I'm way too
	  tired. :D
	* src/xs_length.c: Silence a gcc warning; Use xs_*() file handling
	  functions.
	* src/xs_sidplay.h: New songinfo system.
	* src/xs_sidplay1.cc src/xs_sidplay1.h src/xs_sidplay2.cc
	  src/xs_sidplay2.h: Beginnings of vfs portability.
	* src/xs_support.c src/xs_support.h: Moved some things from
	  xmms-sid.h to xs_support.h; File handling functions for possible
	  portability to Audacious (they already created their own patch
	  for vfs support, though)
	* src/xmms-sid.h: Moved some things to xs_support.h;
	  t_xs_subtuneinfo.tuneSpeed is now the assumed (if known) freq
	  (Hz) of the currently playing tune; plrUpdateSIDInfo() added;
	* src/xmms-sid.c: Accomodate the changes in xs_make_titlestring(),
	  xs_tuneinfo_*() and plrIsOurFile() functions.
	* src/config.h.in: Themetune file is now defined elsewhere.

2007-01-24  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xs_fileinfo.c src/xs_fileinfo.h: Moved again.
	  :D
	* src/xmms-sid.c src/xs_stil.c src/xs_stil.h: STILdb handling glue
	  moved to xmms-sid.c
	* src/xs_sidplay.h src/xs_sidplay1.cc src/xs_sidplay2.cc: Updates
	* src/xmms-sid.h: Updates.
	* src/xs_length.c: Use new xs_* file functions for SID-file
	  handling.
	* src/xs_length.h: Cosmetics
	* src/xs_init.c: The structure can be declared static.
	* src/xmms-sid.c: Add new fields.
	* src/xs_sidplay1.h src/xs_sidplay2.h: Functions renamed, added
	  update function.
	* src/xs_stil.c: Cleanups
	* src/xs_support.c src/xs_support.h: New file reading functions.

2007-01-17  Matti Hamalainen <ccr@tnsp.org>

	* po/fi.po: Updated fi.po
	* src/config.h.in: autoheader updated.
	* src/xs_length.c: Type cleanups/fixes.

2007-01-11  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_title.h: _XS_TITLE_H
	* configure.in: Forgot to quote this ..
	* configure.in: Added m4 quoting; Indentation cleanups.

2007-01-08  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay2.cc: Working on the localization and fixing up
	  the breakage in song information handling.
	* po/POTFILES.in: Added .cc files.

2007-01-07  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Cleanups

2007-01-06  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: .. and more fixes. :|
	* bootstrap.sh: Bugfixes to previous improvements. :)
	* bootstrap.sh: Improved the bootstrapping script even further

2007-01-05  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: Improved bootstrapping

2007-01-01  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: Fixes
	* bootstrap.sh: Add gettext/autopoint to bootstrapping process to
	  generate gettext-related files.
	* configure.in: Typofix
	* m4/Makefile.am m4/Makefile.am: Added m4 files for gettext
	* src/xmms-sid.h: gettext fixes
	* configure.in: Fix gettext init macros
	* po/LINGUAS po/LINGUAS po/Makevars po/Makevars po/POTFILES.in
	  po/POTFILES.in po/fi.po po/fi.po: gettext and i18n
	* Makefile.am configure.in src/config.h.in: GNU gettext i18n
	  support
	* src/xs_fileinfo.c: Bugfixes.
	* src/xs_stil.c: Bugfixes
	* src/xs_support.c: Urgh, xs_memset() was buggy :P

2006-12-31  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.h: Conditional #definition of _()
	* src/xs_about.c: Indentation fixes.
	* .glade: Enable gettext support for potential i18n
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_fileinfo.c
	  src/xs_length.c src/xs_stil.c: Preparing for
	  internationalization.

2006-12-30  Matti Hamalainen <ccr@tnsp.org>

	* config.rpath: FSF address updated.
	* README src/xmms-sid.c src/xmms-sid.h src/xs_about.c
	  src/xs_config.c src/xs_fileinfo.c src/xs_filter.c src/xs_init.c
	  src/xs_length.c src/xs_stil.c src/xs_support.c src/xs_title.c:
	  Copyright year update
	* TODO: Boinggg!

2006-12-20  Matti Hamalainen <ccr@tnsp.org>

	* src/SID_file_format.txt: Add SID format documentation

2006-09-10  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_length.c: sscanf() was used in unaligned access, causing
	  problems on Sparc (and possibly other archs requiring
	  alignment), fixed.
	* src/xs_length.c: Another fix for the fix, which was invalid. :P
	* src/xs_length.c: Bugfix

2006-08-20  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL: Changed wording.
	* .spec.in: Only README, not README*

2006-08-17  Matti Hamalainen <ccr@tnsp.org>

	* .spec.in: Add mention of HVSC in spec-file.
	* BUGS: Bugs.

2006-08-14  Matti Hamalainen <ccr@tnsp.org>

	* COPYING src/xmms-sid.c src/xmms-sid.h src/xs_about.c
	  src/xs_config.c src/xs_fileinfo.c src/xs_filter.c src/xs_init.c
	  src/xs_length.c src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay2.cc src/xs_stil.c src/xs_support.c
	  src/xs_title.c: Updated GNU GPL (new FSF address) and some
	  cleanups.

2006-06-08  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_sidplay1.cc: Indentation

2006-06-02  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Cleanups
	* FAQ: Even more information about GCC4 problems added.
	* FAQ: Mention GCC4 problems.
	* acinclude.m4: Fix and update copyright year
	* INDENT: Added INDENT, which contains GNU indent paramaters used
	  to indent the code.
	* xmms-1.2.10-songpos.patch: int -> gint
	* BUGS: Removed mention about unfinishedness of oversampling
	  filter.

2006-06-01  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: Add more debugging output.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_length.c src/xs_length.h src/xs_sidplay.h
	  src/xs_sidplay1.cc src/xs_sidplay2.cc src/xs_stil.c
	  src/xs_title.c src/xs_title.h: More work on merging of improved
	  STIL/SLDB handling code with completely dynamic memory
	  allocation.

2006-05-31  Matti Hamalainen <ccr@tnsp.org>

	* FAQ: Updated FAQ to reflect changes in playing behaviour.
	* README: Add information about the automagic configuration
	  adjusting when emulation backend does not support some
	  user-specified setting.
	* src/xs_fileinfo.c: Use g_snprintf() instead of system
	  snprintf(), because libc snprintf() is broken in several systems.
	* src/xs_support.c src/xs_support.h: Cleanups.
	* configure.in src/config.h.in: Largefile support additions.
	* src/xs_sidplay1.cc src/xs_sidplay2.cc: Cleanups
	* src/xs_stil.c: Use xs_memset() instead of memset()
	* src/xmms-sid.h src/xs_sidplay1.cc src/xs_sidplay2.cc: XSERR ->
	  xs_error fixes.
	* Makefile.am: Fix ChangeLog generation
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_fileinfo.c src/xs_filter.h src/xs_length.c
	  src/xs_length.h src/xs_stil.c src/xs_stil.h src/xs_support.h
	  src/xs_title.c: Working on getting STIL and SLDB using
	  completely dynamically allocated structures. Indentation
	  cleanups, etc.

2006-05-30  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL: Improve documentation: Talk more about libSIDPlay1,
	  document problems of libSIDPlay2 and approximate installation
	  procedure.
	* acinclude.m4: Indentation

2006-05-29  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_length.c: Cleanups.

2006-05-28  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Year.
	* README: Year
	* acinclude.m4 configure.in: Portability fixes

2006-01-22  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_length.c: Indentation fixes.

2005-12-27  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_curve.h: Tabs

2005-11-27  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: Set song length to 0 instead of -1 to enable
	  XMMS's seek slidebar at all times.

2005-11-26  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: Force updating of automake parts.

2005-11-17  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Bump version
	* src/xs_genui.c: Get rid of few unused argument warnings.
	* src/xs_md5.h: Indentation fix

2005-11-09  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_curve.c: Fix ending newline.
	* src/xs_title.c: Actually use nSubTunes value as it is meant to.
	* src/xmms-sid.h src/xs_config.c: Moved some #defines from
	  xs_config.c to xmms-sid.h; Changed default SID specific title
	  formatstring.
	* .glade: Fixed configuration dialog dimensions/widget foldings;
	  Fixed few tooltip spellings/content; Added missing titlestring
	  token descriptions.
	* src/xs_curve.c src/xs_curve.h: More removal of original curve
	  code.
	* src/xs_sidplay.h: *** empty log message ***
	* src/xs_title.c src/xs_title.h: Titlestring tag %N for number of
	  subtunes; Removed "SID" from SID model strings.
	* src/xs_sidplay2.cc: Emulation engine setup fixes.
	* src/xs_config.c src/xs_curve.c src/xs_curve.h: Work on filter
	  curve widget begins, based on GtkCurve widget from Gtk+ 1.2.10.
	* src/xmms-sid.h src/xs_length.c src/xs_stil.c: Make binary search
	  bailout value a #define in xmms-sid.h
	* src/xs_sidplay1.cc: Cleanups, additional engine NULL check.

2005-11-08  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_sidplay2.cc: Check for myEngine != NULL
	* src/xs_sidplay2.cc: Fixes in emulator engine configuration, make
	  'forceModel' option work.
	* src/xmms-sid.c src/xmms-sid.h: Better comments and .. you
	  guessed it: more indentation fixes. :)
	* src/xs_sidplay1.cc src/xs_sidplay1.h src/xs_sidplay2.cc: More
	  and more of indentation fixes.
	* Makefile.am configure.in: Adjust ChangeLog generation.

2005-11-07  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c: More indentation cleanups
	* src/xs_config.c: Forcemodel
	* src/xs_config.c src/xs_config.h: Indentation fixes and SID model
	  forcing
	* src/xmms-sid.c src/xs_about.c src/xs_config.c src/xs_curve.c
	  src/xs_fileinfo.c src/xs_filter.c src/xs_genui.c src/xs_init.c
	  src/xs_length.c src/xs_md5.c src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay2.cc src/xs_stil.c src/xs_support.c
	  src/xs_title.c: Re-indentation all (non-generated) code.
	* src/xs_curve.c src/xs_curve.h: Add new files
	* src/xs_md5.c: int -> gint

2005-11-01  Matti Hamalainen <ccr@tnsp.org>

	* .glade: Minor configuration interface improvements, several
	  tooltips added.
	* src/xmms-sid.h: Comment about XS_DYNAMIC_BUF changed
	* src/xmms-sid.c: Always use dynamic audio buffer

2005-10-31  Matti Hamalainen <ccr@tnsp.org>

	* Makefile.am: src is not needed in DIST_SUBDIRS anymore.
	* src/xs_sidplay2.cc: Cleanups

2005-10-19  Matti Hamalainen <ccr@tnsp.org>

	* .glade: Added setting for forcing given SID-chip type for
	  emulation.
	* INSTALL Makefile.am TODO: PONG
	* src/xs_config.c: More unused argument warning removal, bit of
	  code for filter editor.

2005-10-15  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: z1.9 -> 1.9

2005-09-23  Matti Hamalainen <ccr@tnsp.org>

	* .glade: GUI updates
	* src/xs_config.c: Disable filter configuration for libraries that
	  are not compiled in.
	* src/xmms-sid.c: Off by one caused infinite looping in searching
	  for next sub-tune to play, fixed.
	* src/xs_config.c src/xs_genui.c: Configuration cleanups
	* src/xs_config.c: Fixes to previous changes concerning warning
	  cleanups.
	* src/xs_about.c: Updated year to 2005
	* src/xmms-sid.c src/xs_config.c src/xs_fileinfo.c: Removed
	  'unused argument' warnings, some cleanups.

2005-09-22  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: Free tuneinfo?
	* src/xs_genui.c src/xs_genui.h: UI changes.
	* configure.in: Update copyright to 2005; Don't enclose some
	  values in m4 quotes, automake breaks with them in stupid places.
	* bootstrap.sh: Improved bootstrap script
	* INSTALL README TODO: Updated documentation
	* .spec.in: Removed some comment lines that broke RPM building on
	  some platforms...
	* src/xmms-sid.h src/xs_fileinfo.c src/xs_genui.c src/xs_genui.h
	  src/xs_length.h: Misc commit.
	* src/xmms-sid.c: - subTune -> subTunes - adjust to struct size +
	  1 (XS_STIL_MAXENTRY change) - misc cleanups
	* src/xs_length.c: Comment
	* src/xs_filter.c: Minor fix to filter (mean value does not get
	  reset on every filtered audio block)
	* src/xs_stil.c src/xs_stil.h: Changed struct member name subTune
	  -> subTunes

2005-01-18  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Comments
	* src/xmms-sid.h src/xs_about.c src/xs_filter.c src/xs_filter.h:
	  Minor cleanups

2005-01-12  Matti Hamalainen <ccr@tnsp.org>

	* .cvsignore .cvsignore: *.lo
	* TODO: More ideas
	* FAQ: Updated FAQ

2005-01-11  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xmms-sid.h src/xs_about.c src/xs_config.c
	  src/xs_fileinfo.c src/xs_filter.c src/xs_filter.h src/xs_init.c
	  src/xs_length.c src/xs_sidplay1.cc src/xs_sidplay2.cc
	  src/xs_stil.c src/xs_support.c src/xs_title.c: Changed copyright
	  text.

2005-01-08  Matti Hamalainen <ccr@tnsp.org>

	* THANKS: Updated THANKS
	* src/xs_about.c: Updated credits and greetings
	* src/xs_sidplay2.cc: Improved compatibility, some fixes in reSID
	  emulation initialization.

2005-01-05  Matti Hamalainen <ccr@tnsp.org>

	* Kummatti_City.sid: Added themetune
	* TODO: Todo-items

2005-01-04  Matti Hamalainen <ccr@tnsp.org>

	* .cvsignore .cvsignore src/.cvsignore src/.cvsignore
	  src/.cvsignore: Updated .cvsignore -files.
	* Makefile.am TODO xmms-sid.spec.in: Tweaks
	* src/xs_length.c: PSID/RSID

2004-12-30  Matti Hamalainen <ccr@tnsp.org>

	* config.rpath src/xs_filter.h: Added missing files (oops) to CVS.
	* configure.in: 0.8.0rc1
	* src/xmms-sid.c: #include "xs_filter.h"
	* src/xs_filter.c: Fixed filter signedness bugs.
	* Makefile.am src/xmms-sid.h: xs_filter.h

2004-12-28  Matti Hamalainen <ccr@tnsp.org>

	* ChangeLog.old: Added old ChangeLog that was missing from CVS

2004-12-27  Matti Hamalainen <ccr@tnsp.org>

	* TODO: Updated TODO

2004-12-26  Matti Hamalainen <ccr@tnsp.org>

	* README src/xmms-sid.c src/xmms-sid.h src/xs_config.c
	  src/xs_config.h xmms-sid.glade: Remove "only when song-length
	  unknown" option from minimum playtime, it was bit illogical,
	  thanks to HiSpeed for pointing that out.
	* src/xmms-sid.c src/xs_config.c: Disable oversampling if non-mono
	  output; remove disabling of oversampling settings in
	  configuration dialog.
	* src/xmms-sid.c: Improved locking, still some unlocked parts
	  left, but nothing dangerous.
	* src/xs_config.c: Change default of min playtime.

2004-12-25  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL: Document problems with gcc vs g++
	* configure.in: Fix order of CC/CXX macro calling, add check for
	  CXXCPP
	* AUTHORS: Pok.
	* src/xs_fileinfo.c: hmm.. LUW() was missing.
	* src/xmms-sid.h: DEBUG_NP
	* src/xmms-sid.c: Fixes.
	* src/xmms-sid.c src/xmms-sid.h: xs_error() -> XSERR()
	* src/xmms-sid.c src/xmms-sid.h: Make XSERR into function. Use ISO
	  C99 variadic macro style instead of non-portable gcc style.
	* src/xs_config.c src/xs_fileinfo.c: No need for variadic macros
	  here.
	* src/xmms-sid.h src/xs_filter.c: gint -> AFormat
	* src/xmms-sid.c: Do correct typecasts and declare xs_subctrl_open
	  arguments as void.
	* src/xmms-sid.h: Remove extra semicolon from macro definition,
	  #undef DEBUG
	* src/xs_config.c: Cast return values to gint.
	* src/xs_config.h: Remove comma from end of enum list.
	* src/xs_fileinfo.c: Include correct headers, typecast returnvalue
	  to gint
	* src/xs_length.c: Use size_t
	* src/xs_support.c: Remove 'inline' defs.
	* .spec.in: Fixed specfile.
	* README: Document automatic sub-tune changing.
	* .glade: Set fileinfo window's delete_event handler.
	* BUGS: Document pause-bug.
	* src/xs_config.c: Set current path/filename as default to
	  file-selector dialogs in configuration.
	* src/xs_fileinfo.c src/xs_genui.c src/xs_genui.h: Fixed nasty
	  crash when closing fileinfo-window from window's closebutton -
	  the window's delete_event was not being handled ... stupid :(
	* src/xmms-sid.c: Automatic sub-tune changing.
	* src/xs_filter.c: Changed method.
	* BUGS Makefile.am: Oversampling notes
	* src/xmms-sid.h src/xs_filter.c: Added filtering code into CVS.
	* src/xmms-sid.c: Fixed oversampling buffer overflow problems.

2004-12-23  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: Error checking.
	* README: Bah.
	* src/config.h.in: size_t
	* src/xmms-sid.c: Merging in oversampling support, audio settings
	  sanitation.
	* src/xmms-sid.h: Formatting cleanups.
	* src/xs_config.c src/xs_config.h: Separate
	  xs_init_configuration() from xs_read_configuration()
	* src/xs_sidplay1.cc src/xs_sidplay2.cc: Cleanups, moved engine
	  configuration to initialization function. Audio settings
	  "feedback" and oversampling support implemented.
	* configure.in src/xmms-sid.h src/xs_support.h: Blah.

2004-12-22  Matti Hamalainen <ccr@tnsp.org>

	* AUTHORS README xmms-sid.spec.in: Cleanups
	* THANKS: Added greetings to mrsid.
	* README xmms-sid.glade: Several kyrpe-paske fixed.
	* TODO: Updated TODO list.
	* src/xmms-sid.c src/xs_about.c: Improved comments.
	* README: Clarified detect file contents option description.
	* src/xs_about.c: Fixed typo in credits, cleanup.

2004-12-21  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Improve '--disable-themetune' option indentation.
	* src/xs_config.c src/xs_genui.c: More subauto poking.
	* .glade: Automatic subtune changing options.
	* src/xs_config.c src/xs_config.h src/xs_genui.c: Automatic
	  subtune changing options added to config.
	* src/xs_genui.h: Latest glade-generated header.
	* README: More documentation about configuration.
	* INSTALL: Tell user that some datafiles are not installed when
	  using 'install-user' make target.
	* Makefile.am README configure.in src/config.h.in src/xs_about.c:
	  Themetune, at least temporarily. Haven't asked Agemixer yet for
	  permission.
	* src/config.h.in src/xmms-sid.c src/xs_about.c: Compile-time
	  optionally enabled themetune support in about-dialog (click the
	  logo image)
	* src/xs_stil.c: Fix few cases of multiline entry handling.
	* INSTALL README: Muchly improved documentation and installation
	  instructions.
	* .glade: Unamericanization, added few tooltips.
	* INSTALL: Duh.
	* acinclude.m4 configure.in: Macro quotation cleanup to satisfy
	  Automake 1.8 and friends.
	* configure.in: Fix M4 macro quotations.
	* configure.in: Check for pthread.h
	* src/xs_config.c: Gray out "mintime unknown" when mintime is
	  disabled.
	* configure.in: Final 0.8.0 beta 13
	* src/xmms-sid.c src/xs_config.c src/xs_config.h xmms-sid.glade:
	  Added "apply min playtime only when song-length is unknown"
	  option.
	* src/xmms-sid.h: Document XS_AUDIOBUF_SIZE
	* src/xmms-sid.c src/xmms-sid.h src/xs_length.c: Compile-time
	  setting to enable/disable use of dynamically allocated buffers.
	* src/xs_stil.c: Fixed cosmetic bug in handling of multi-line
	  fields (COMMENT).
	* src/xs_fileinfo.c src/xs_support.c src/xs_support.h: Added
	  xs_pnstrcat() to ease forming of limited size strings.
	* bootstrap.sh: Run libtoolize before automake/conf
	* src/config.h.in: Added config.h.in
	* Makefile.am: Add xs_fileinfo.h
	* src/xmms-sid.c src/xmms-sid.h src/xs_fileinfo.h src/xs_init.c:
	  Add xs_fileinfo.h, move appropriate function prototypes there.
	* src/xs_fileinfo.c: Make the slider in fileinfo window's subtune
	  selector work as expected.
	* src/xs_title.c: Compiler complains about discarding the const
	  qualifier, so let's be dumb and g_strdup() those stupid
	  arguments. Waste of resources, IMHO, but maybe it helps
	  portability.
	* src/xmms-sid.c src/xs_fileinfo.c src/xs_init.c
	  src/xs_sidplay1.cc src/xs_sidplay2.cc src/xs_stil.c: Thread
	  locking now final. All parts, including GTK GUI, should be(?)
	  properly locked and no race conditions should be present.
	* NEWS: Updated news.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_fileinfo.c
	  src/xs_init.c src/xs_length.c src/xs_length.h src/xs_sidplay.h
	  src/xs_sidplay1.cc src/xs_sidplay1.h src/xs_sidplay2.cc
	  src/xs_sidplay2.h src/xs_stil.c src/xs_stil.h src/xs_support.c
	  src/xs_title.c src/xs_title.h: Raw cleanup.

2004-12-19  Matti Hamalainen <ccr@tnsp.org>

	* bootstrap.sh: Few more adjustments.
	* src/xs_config.c src/xs_config.h: Have and use a mutex for xs_cfg
	  configuration structure.
	* src/xs_length.c src/xs_length.h src/xs_stil.c src/xs_stil.h:
	  Improved modularization of STIL and song-length database
	  subsystems.
	* src/xs_support.c src/xs_support.h: Moved some functions from
	  xs_length.c here.

2004-12-15  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: char -> gchar
	* src/xs_config.c src/xs_stil.c src/xs_support.c: Removed
	  duplicate function, more portability cleanups.
	* src/xmms-sid.c src/xs_length.c src/xs_stil.c: On some systems
	  stdlib.h has prerequisite of stdio.h, corrected order of
	  inclusion on some files to prevent problems.
	* src/xs_fileinfo.c: Added fileinfo-dialog module.
	* NEWS: Additions.
	* configure.in: 0.8.0beta14 and check for exitence of size_t
	* src/xmms-sid.h: Whitespace
	* src/xs_support.c src/xs_support.h: Minor fixes
	* src/xs_title.c src/xs_title.h: Titlestring handling
	* configure.in: 0.8.0beta13 development tag, not working version.
	* autogen.sh: Removed autogen.sh-script, use bootstrap.sh instead.
	* src/xs_config.h src/xs_length.h src/xs_md5.c src/xs_md5.h
	  src/xs_stil.c src/xs_stil.h src/xs_support.c src/xs_support.h:
	  Portability fixes
	* src/xmms-sid.c: Use xs_memset() instead of memset() directly
	* src/xmms-sid.c: Use xs_strrchr()
	* Makefile.am: Temporarily remove cvs2cl usage
	* INSTALL: Updated requirements
	* bootstrap.sh: Improved bootstrap script, though now using shell
	  functions. Might only work in bash, YMMV. Will fix later if so.
	* src/xmms-sid.c: Use glib string functions more exclusively,
	  moved fileinfo dialog to separate module (like it was in
	  0.7-series)
	* src/xs_md5.c: Include config.h when available.
	* src/xs_support.c src/xs_support.h: Trivial fixes and added
	  strncpy replacement.
	* README: Updates to contact information.

2004-11-16  Matti Hamalainen <ccr@tnsp.org>

	* README: Updates
	* .glade: Reworking GUI.
	* src/xmms-sid.c src/xs_config.c src/xs_config.h src/xs_genui.c
	  src/xs_genui.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_support.c: Reworking code.
	* FAQ: Updates, typofixes and cleanups.

2004-08-19  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL Makefile.am README TODO acinclude.m4 configure.in
	  src/xmms-sid.c src/xs_config.c src/xs_config.h src/xs_nanosid.c
	  src/xs_nanosid.h xmms-sid.glade: Support for libNanoSID dropped.

2004-08-18  Matti Hamalainen <ccr@tnsp.org>

	* FAQ INSTALL README: Updated documentation
	* INSTALL: Cleanup
	* src/xmms-sid.c: Check number of subtunes and disable subtune
	  control in fileinfo, if only 1 subtune.
	* configure.in: 0.8.0beta13
	* TODO: Plan for going towards 0.8.0.
	* src/xmms-sid.c: Fix thinko.
	* README TODO: Updated documentation.
	* src/xmms-sid.c: Check tune and playing status before opening
	  pop-up song control.
	* README: Cleanup too long line
	* src/xs_config.c src/xs_config.h: Cleanup
	* src/xmms-sid.c: Cosmetic fix: remove pop-up subsong control
	  window if song changes and it is not needed anymore.
	* AUTHORS: Cleanup
	* Makefile.am: Comments
	* configure.in: Lines
	* FAQ: It's -> Its
	* src/xmms-sid.c: Subtune control slider in fileinfo-window now
	  works. Various fixes. Pop-up subtune control can now be exited
	  via ESC-button. The slider is focused by default.
	* .glade: Fixes
	* TODO: Updated TODO
	* INSTALL Makefile.am: Added install-user and uninstall-user
	  targets which install to current user's home-directory, updated
	  installation instructions accordingly.
	* Makefile.am configure.in src/Makefile.am: Not using recursive
	  make anymore.
	* .glade: Minor cosmetic touchup in the fileinfo dialog.
	* src/xs_length.c: Fixed a serious bug in MD5-hashing of file:
	  &databuffer was given (pointer pointer) instead of databuffer
	  (pointer).
	* Makefile.am src/xmms-sid.c src/xs_about.c src/xs_config.c
	  src/xs_genui.c src/xs_genui.h xmms-sid.glade: Various cleanups.
	  Min-playtime option now works. Configuration has more consistent
	  operation while graying out unavailable settings.
	* .spec.in: Fixed a typo
	* NEWS: Fixed NEWS

2004-08-17  Matti Hamalainen <ccr@tnsp.org>

	* FAQ: Updated FAQ

2004-08-13  Matti Hamalainen <ccr@tnsp.org>

	* README xmms-sid.glade: Tweakity tweak.
	* src/xmms-sid.c src/xs_config.c src/xs_config.h src/xs_genui.c
	  src/xs_genui.h: Twiddling
	* AUTHORS FAQ INSTALL README TODO: Updated documentation.

2004-08-12  Matti Hamalainen <ccr@tnsp.org>

	* acinclude.m4: Added more paths to search libsidplay*
	  includes/libs from.

2004-08-11  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c src/xs_config.h xmms-sid.glade: Minimum playtime
	  option
	* .glade: Worked on GUI/configuration
	* FAQ: Updated FAQ
	* FAQ THANKS configure.in: Updated documentation.
	* .spec.in: Tweaked required versions of XMMS and Gtk
	* src/Makefile.am: XMMS-related tags were missing from
	  Makefile.am, causing compilation to fail when XMMS libs and
	  headers were not installed in "semi-standard" paths (/usr,
	  /usr/local). Fixed.

2004-06-09  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Added copyright information
	* README: Updated documentation, upgraded libtool to 1.5.6 which
	  should fix problems on some platforms
	  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=253350>

2004-06-06  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c src/xs_config.h: Renamed some struct variables.

2004-06-05  Matti Hamalainen <ccr@tnsp.org>

	* README: Updated IRC-channel information.

2004-06-02  Matti Hamalainen <ccr@tnsp.org>

	* INSTALL: Updated documentation.

2004-04-21  Matti Hamalainen <ccr@tnsp.org>

	* README THANKS configure.in xmms-sid.spec.in: Minor fixes

2004-03-09  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Well, let's get back to beta, since I don't think
	  we're yet worthy of "release candidate" ;) -> 0.8.0beta10
	* THANKS bootstrap.sh: Cleanups
	* Makefile.am xmms-1.2.10-songpos.patch: Added songpos-patch

2004-03-07  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Added Alfie to about-dialog

2004-03-06  Matti Hamalainen <ccr@tnsp.org>

	* THANKS: Added Alfie.
	* Makefile.am: Removed README.bugreport from EXTRA_DIST
	* COPYING: Updated version of GNU GPL
	* FAQ: Typofixes.
	* NEWS: Removed note about theme-tune
	* configure.in: 0.8.0rc1
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c: SLDB, STIL and
	  emulation engine settings are now updated after properties have
	  been changed, no need to restart XMMS anymore.
	* README: Added information about SLDB, cleanups.
	* INSTALL: Updated requirements.
	* README.bugreport: Removed obsolete file.

2004-02-26  Matti Hamalainen <ccr@tnsp.org>

	* configure.in: Bumped up version to beta10
	* TODO: Updated TODO
	* src/xs_config.c src/xs_stil.c: Typofixes
	* src/xmms-sid.c: - Added UADE-style popup subsong-selector
	* configure.in: Changed glib/gtk+ requirement to 1.2.5 instead of
	  1.2.8, for those people who still use ancient software.
	* src/xmms-sid.c src/xmms-sid.h: Fixed the file-info window, which
	  did not update correctly in some cases when previous shown data
	  had STIL-information and new one did not.
	* src/xs_sidplay1.cc: Removed debug-info

2004-02-23  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xs_about.c src/xs_config.c src/xs_nanosid.c:
	  Minor fixes and improvements, nanosid support.
	* src/xs_sidplay1.cc: Fixes in audio format selection/emuengine
	  configuration.
	* Makefile.am README: ChangeLog-generation, updates in README

2004-01-16  Matti Hamalainen <ccr@tnsp.org>

	* configure.in xmms-sid.spec.in: Fixed spec-file generation and
	  errors in the specfile.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_stil.c: Added "seek"-subsong control option, in style of
	  xmms-sidplay.
	* .glade: Added "seek"-subsong control option Added tooltips for
	  sub-song control options

2004-01-14  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c src/xs_sidplay.h: Fixed minor bugs in
	  configuration dialog handling.
	* NEWS THANKS xmms-sid.glade: Cleaned up docs and GUI.
	* configure.in: Removed unneeded configure option.
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_genui.c src/xs_genui.h src/xs_nanosid.c
	  src/xs_sidplay1.cc src/xs_sidplay2.cc: Improved audio format
	  support, now supported formats are "queried" from emulator
	  engines. Preparing for NanoSID-support, since it's the worst in
	  this sense.
	* .glade: Corrected misinformation about format string.
	* acinclude.m4 configure.in: Added support/detection for
	  libNanoSID.
	* FAQ: Improved FAQ, bugreporting part.
	* INSTALL: Updated installation instructions
	* src/Makefile.am src/xs_nanosid.c src/xs_nanosid.h: Added initial
	  NanoSID-support sources, etc.
	* ChangeLog: Removed ChangeLog
	* .glade: Updated some widget names to reflect changes in code.
	  Minor restructuring of fileinfo GUI.
	* src/xmms-sid.h: Undefined debug for now.
	* src/xmms-sid.c: Finalized the fileinfo window code.
	* src/xs_stil.c src/xs_stil.h: Fixed severe bug in xs_strmcat()
	  Finalized the STIL-parser, should now work if not for any
	  unfound bug(s).
	* src/xs_config.c: Updated default formatstring to match recent
	  changes.

2004-01-13  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_sidplay.h: Added SID-prefix to chip names
	* configure.in: Bumped up version
	* .glade: Added some tooltips

2004-01-12  Matti Hamalainen <ccr@tnsp.org>

	* README: Minor updates to docs, added reference to IRC-channel
	* src/xmms-sid.h: #undef debug
	* src/xs_stil.c: Removed some debug-vars
	* src/xmms-sid.c src/xs_config.c src/xs_config.h src/xs_genui.c
	  src/xs_genui.h src/xs_stil.c src/xs_stil.h src/xs_support.c
	  src/xs_support.h: Fileinfo now basically working, STIL
	  COMMENT-fields are not yet parsed or shown. Some bugs probably
	  remain.
	* .glade: Added HVSC path-fileselector
	* .glade: Added HVSC-path option

2004-01-11  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xmms-sid.h src/xs_sidplay.h: Fileinfo now
	  working with rudimentary informations. Slightly buggy.
	* .glade: Removed predefined strings from fileinfo dialog
	* configure.in: Bumped up version
	* src/xmms-sid.c src/xmms-sid.h src/xs_genui.c src/xs_genui.h
	  src/xs_init.c src/xs_sidplay1.cc src/xs_sidplay1.h
	  src/xs_sidplay2.cc src/xs_sidplay2.h src/xs_stil.c: Changed
	  plrFillBuffer()-functions to return actual number of samples
	  computed. Rudimentary changes for return of fileinfo window.
	  Minor tweaks for STILdb.
	* src/xs_config.c: Disable song-pos patch option when song-pos
	  support is not compiled in.
	* configure.in src/xmms-sid.h src/xs_sidplay2.cc src/xs_stil.c
	  xmms-sid.glade: Paskaa
	* src/xmms-sid.h src/xs_sidplay.h: Minor tweaks

2004-01-10  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xs_length.c src/xs_stil.c: STIL-support
	  fixes, variable renaming
	* src/Makefile.am: Added xs_stil.[ch]
	* ChangeLog Makefile.am configure.in xmms-sid.glade
	  xmms-sid.spec.in: - Cleaned changelog, moved to ChangeLog.old -
	  Adjusted Makefile.am accordingly - Version number bump - GUI
	  tweaks - Specfile cleanup
	* src/xs_length.c: Renamed some variables
	* src/xs_sidplay.h: Fixes and improvements
	* src/xs_stil.c src/xs_stil.h: Start of re-write of STIL-support
	* NEWS README configure.in src/xs_sidplay.h src/xs_sidplay2.cc
	  xmms-sid.spec.in: Minor changes

2003-11-18  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.h src/xs_length.c src/xs_sidplay.h: Improvements in
	  length- and title handling.

2003-10-05  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c: Fixed sub-song changing
	* acinclude.m4: Fixed build process for library detection
	* src/xs_config.c: Fixed a problem with only libsidplay1 installed
	* configure.in: Some fixes for RPM-stuff
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_length.c
	  src/xs_length.h src/xs_sidplay.h src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc src/xs_sidplay2.h
	  src/xs_support.c src/xs_support.h: Various fixes and improvements

2003-10-04  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_length.c: Updated

2003-10-03  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_fileinfo.cc: Removed obsolete sourcefile
	* src/xmms-sid.c: Added some stuff for NanoSID
	* .glade: Changed interface to include new settings
	* BUGS: Removed obsolete information
	* .spec.in: Updated description of package
	* FAQ INSTALL THANKS TODO: Updated and improved documentation
	* configure.in: Re-added support for detection of song-position
	  patch, bumped version to 0.8.0beta3
	* src/xmms-sid.c src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_genui.c src/xs_genui.h src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc: Various fixes and
	  improvements

2003-09-19  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_config.c src/xs_genui.c src/xs_genui.h: Configuration
	  panel tweaking

2003-09-15  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_sidplay.h: Added missing header
	* src/Makefile.am src/xmms-sid.c src/xs_config.c src/xs_config.h
	  src/xs_sidplay1.cc src/xs_sidplay2.cc: SIDPlay2 support "works"
	  now. Borked problems with threads.

2003-09-14  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.c src/xs_sidplay1.cc src/xs_sidplay2.cc: Testing
	* src/Makefile.am src/xmms-sid.c src/xmms-sid.h src/xs_about.c
	  src/xs_config.h src/xs_length.c src/xs_sidplay1.cc
	  src/xs_sidplay1.h src/xs_sidplay2.cc src/xs_sidplay2.h: Added
	  libsidplay2 module, lots of reworking of internals, sidplay1
	  support now works with the new framework! Getting libsidplay2
	  support working shouldn't be too far now...

2003-09-12  Matti Hamalainen <ccr@tnsp.org>

	* src/Makefile.am src/xmms-sid.c src/xmms-sid.h src/xs_config.c
	  src/xs_config.h src/xs_sidplay1.cc src/xs_sidplay1.h: Lots
	  re-arranging and new code for upcoming modularization.

2003-09-10  Matti Hamalainen <ccr@tnsp.org>

	* src/Makefile.am src/xmms-sid.c src/xmms-sid.cc
	  src/xs_sidplay1.cc src/xs_sidplay1.h: Started modularizing,
	  separated sidplay1 things into a "wrapper" module. Removed
	  non-generic stuff from xmms-sid.cc, removed C++ references and
	  renamed to xmms-sid.c

2003-07-13  Matti Hamalainen <ccr@tnsp.org>

	* src/Makefile.am: Added logo to extra-dist

2003-06-30  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.cc src/xs_config.c src/xs_config.h src/xs_length.c:
	  Fixes, cleanups, etc.
	* pixmaps/xmms-sid-logo.xcf.bz2 src/xmms-sid-logo.xpm: Updated the
	  logo
	* .glade: Added new options to configuration in GUI
	* src/xs_stil.h: Re-added header

2003-06-29  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.cc src/xmms-sid.h src/xs_about.c src/xs_config.c
	  src/xs_config.h src/xs_length.c: The fabled 0.8-rewrite now
	  works to some extent
	* src/xmms-sid.cc src/xs_config.c src/xs_config.h: Fixes for
	  sidplay2 stuff

2003-06-22  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.cc src/xs_about.c src/xs_config.c: Kuumaa paskaa
	* src/xmms-sid.h src/xs_length.c src/xs_length.h src/xs_stil.c:
	  Started to rewrite STIL-support
	* src/xs_about.c: Made logo-pixmap internal again
	* Makefile.am: *** empty log message ***
	* src/xmms-sid-logo.xpm: Moved from pixmaps/
	* pixmaps/xmms-sid-logo.xpm: Moved to src/
	* src/Makefile.am src/xmms-sid.cc src/xs_config.c src/xs_config.h
	  src/xs_length.c src/xs_support.c src/xs_support.h: Improved,
	  re-written configuration code and lots of minor fixes
	* src/xmms-sid.cc src/xs_length.c src/xs_support.c
	  src/xs_support.h: Changed some standard functions to glib ones

2003-06-21  Matti Hamalainen <ccr@tnsp.org>

	* README: Minor grammar improvement
	* src/Makefile.am: Removed obsolete AC_SUBST-tag @PTHREAD_LIBS@
	* src/xs_title.cc src/xs_title.h: Removed obsolete files
	* AUTHORS FAQ THANKS acinclude.m4: Cleanups in docs
	* .spec.in: Include only .so-files from build
	* src/xmms-sid.h src/xs_config.c src/xs_config.h
	  src/xs_fileinfo.cc: Minor fixes, updated to support default XMMS
	  configfile
	* src/xmms-sid.cc src/xs_support.c src/xs_support.h: Support for
	  compile-time big/little-endian optimizations in audio output
	* TODO xmms-sid.glade: Updated UI and docs
	* configure.in xmms-sid.spec.in: Updated specfile, added new
	  configure options and improved detections

2003-06-20  Matti Hamalainen <ccr@tnsp.org>

	* src/xs_about.c: Re-added xs_about.c
	* src/xmms-sid.cc src/xs_config.c: Minor fixes
	* src/xmms-sid.cc src/xs_config.c src/xs_config.h: Various fixes
	  and transmogrifying for dual emulation engine environment
	* Makefile.am configure.in xmms-sid.spec.in: Automagic updating of
	  spec.in-file via configure

2003-06-19  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.cc src/xs_config.c src/xs_genui.c src/xs_genui.h:
	  Fixes
	* INSTALL bootstrap.sh xmms-sid.glade: Various improvements
	* src/.cvsignore src/.cvsignore src/Makefile.am src/Makefile.am
	  src/xmms-sid.cc src/xmms-sid.cc src/xmms-sid.h src/xmms-sid.h
	  src/xs_config.c src/xs_config.c src/xs_config.h src/xs_config.h
	  src/xs_fileinfo.cc src/xs_fileinfo.cc src/xs_genui.c
	  src/xs_genui.c src/xs_genui.h src/xs_genui.h src/xs_init.c
	  src/xs_init.c src/xs_length.c src/xs_length.c src/xs_stil.c
	  src/xs_stil.c src/xs_support.c src/xs_support.c: Numerous
	  changes towards 0.8
	* src/xs_length.c src/xs_length.h: Lots of new code
	* src/xs_support.c src/xs_support.h: Minor changes
	* src/.cvsignore src/.cvsignore: Updated for moved config.h*
	* INSTALL: Minor fix
	* BUGS FAQ NEWS README TODO acinclude.m4 autogen.sh bootstrap.sh
	  configure.in: Updates towards 0.8beta0
	* INSTALL: Updated installation instructions

2003-06-08  Matti Hamalainen <ccr@tnsp.org>

	* Makefile.am README THANKS configure.in: More improvements on
	  configuration, updated documentation.
	* acinclude.m4 configure.in: More fixes in the configuration system
	* INSTALL acinclude.m4 configure.in: Re-wrote configuration
	  scripts and libsidplay 1/2 detection.

2003-06-07  Matti Hamalainen <ccr@tnsp.org>

	* acinclude.m4: Updated to have macros for detecting libSIDPlay 1
	  and 2
	* acsidplay.m4: Removed obsolete m4-macropackage
	* src/xmms-sid.cc src/xs_about.c src/xs_title.h: Removed obsolete
	  file
	* pixmaps/xmms-sid-logo.xcf.bz2: Added original Gimp XCF file for
	  logo
	* src/xmms-sid-logo.xpm: Removed old logo
	* NEWS xmms-sid.glade: Updated interface and information in NEWS
	* src/Makefile.am src/xmms-sid.cc src/xmms-sid.h src/xs_about.c
	  src/xs_config.c src/xs_config.h src/xs_init.c src/xs_length.c
	  src/xs_title.cc src/xs_title.h: Lots of changes
	* FAQ INSTALL README configure.in: Updated documentation

2003-06-04  Matti Hamalainen <ccr@tnsp.org>

	* src/xmms-sid.cc src/xs_length.c src/xs_length.h: Fixed typos and
	  stuff.
	* src/xs_title.cc src/xs_title.h: Added files
	* src/xs_config.h: Added paski
	* FAQ: Updated some entries, removed obsolete ones
	* src/Makefile.am: Changed CFLAGS and CXXFLAGS to AM_-prefixed
	* bootstrap.sh: Updated to run libtoolize
	* src/.cvsignore src/.cvsignore src/xs_genui.c src/xs_genui.c
	  src/xs_genui.h src/xs_genui.h: Added new files
	* bootstrap.sh: Added script for bootstrapping from CVS
	* src/xs_length.c src/xs_length.h src/xs_md5.h: Made song-length
	  database support FINALLY work!
	* pixmaps/xmms-sid-logo.xpm pixmaps/xmms-sid-logo.xpm: Added logo
	  gfx
	* src/Makefile.am: .cpp -> .cc
	* THANKS xmms-sid.spec.in: And more...
	* autogen.sh configure.in: Updating ...
	* FAQ README.songpos: Working towards CVS 0.8

2003-06-03  Matti Hamalainen <ccr@tnsp.org>

	* src/.cvsignore src/.cvsignore: Updated
	* AUTHORS BUGS ChangeLog INSTALL Makefile.am NEWS README
	  README.bugreport TODO acsidplay.m4 autogen.sh src/Makefile.am
	  xmms-sid.glade: Updated to 0.8
	* src/Makefile.am: Updated to match .cc fext
	* src/Makefile.am src/xmms-sid.cc: Updated to 0.8
	* src/xs_length.c src/xs_length.h src/xs_md5.c src/xs_md5.h
	  src/xs_support.c src/xs_support.h: Added new files for 0.8
	* src/xmms-sid.h src/xs_config.c src/xs_init.c: Updated to version
	  0.8-devel
	* xmms-songpos.patch-1.2.2 xmms-songpos.patch-1.2.5
	  xmms-songpos.patch-1.2.7: Removed obsolete patches
	* .cvsignore .cvsignore AUTHORS AUTHORS BUGS BUGS COPYING COPYING
	  ChangeLog ChangeLog INSTALL INSTALL Makefile.am Makefile.am NEWS
	  NEWS README README README.bugreport README.bugreport
	  README.songpos README.songpos TODO TODO acinclude.m4
	  acinclude.m4 acsidplay.m4 acsidplay.m4 autogen.sh autogen.sh
	  configure.in configure.in src/.cvsignore src/.cvsignore
	  src/.cvsignore src/Makefile.am src/Makefile.am src/Makefile.am
	  src/xmms-sid-logo.xpm src/xmms-sid-logo.xpm
	  src/xmms-sid-logo.xpm src/xmms-sid.cc src/xmms-sid.cc
	  src/xmms-sid.cc src/xmms-sid.h src/xmms-sid.h src/xmms-sid.h
	  src/xs_about.c src/xs_about.c src/xs_about.c src/xs_config.c
	  src/xs_config.c src/xs_config.c src/xs_fileinfo.cc
	  src/xs_fileinfo.cc src/xs_fileinfo.cc src/xs_init.c
	  src/xs_init.c src/xs_init.c src/xs_stil.c src/xs_stil.c
	  src/xs_stil.c xmms-sid.glade xmms-sid.glade
	  xmms-songpos.patch-1.2.2 xmms-songpos.patch-1.2.2
	  xmms-songpos.patch-1.2.5 xmms-songpos.patch-1.2.5
	  xmms-songpos.patch-1.2.7 xmms-songpos.patch-1.2.7: Initial
	  revision
	* .: New repository initialized by cvs2svn.

